posix_getlogin
posix_getpgrp
POSIX Functions
PHP Manual

# posix_getpgid

Get process group id for job control

### Description

int posix_getpgid ( int `$pid` )

Returns the process group identifier of the process `pid` or `FALSE` on failure.

### Parameters

`pid`

  The process id.

### Return Values

Returns the identifier, as an integer.

### Examples

Example #1 Example use of posix_getpgid

`<?php
$pid = posix_getppid();
echo posix_getpgid($pid); //35
?>`

### Notes

> Note:

> This is a not POSIX function, but is common on BSD and System V systems. If the system does not support this function, then it will not be included at compile time. This may be checked with function_exists.

### See Also

- posix_getppid
- man page SETPGID(2)